/*
	Image Capture Daemon - a D-BUS service for interfacing to SANE
	Copyright (C) 2007  Donald Straney <burntfuse@gmail.com>

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
*/

#ifndef __DBUS_METHODS_H
#define __DBUS_METHODS_H

#include <dbus/dbus.h>

void method_get_device_list (DBusMessage*, DBusConnection*);
void method_open_device (DBusMessage*, DBusConnection*);
void method_start_scan (DBusMessage*, DBusConnection*);
void method_stop_scan (DBusMessage*, DBusConnection*);
void method_read_image (DBusMessage*, DBusConnection*);
void method_get_option_info (DBusMessage*, DBusMessage*);
void method_get_num_options (DBusMessage*, DBusMessage*);
void method_get_option_value (DBusMessage*, DBusMessage*);
void method_set_option_value (DBusMessage*, DBusMessage*);

#endif
