/*
	Image Capture Daemon - a D-BUS service for interfacing to SANE
	Copyright (C) 2007  Donald Straney <burntfuse@gmail.com>

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
*/

#ifndef __IMCAPD_H
#define __IMCAPD_H

//number of jobs that can be open at the same time -
// 10 is sort of overkill, but it's better to be safe
#define NUM_SIMULT_SCANS 10
//name of output file for scanned image
#define OUT_FILENAME "/tmp/scanned_image"
//size of buffer for scanned image
#define BUF_SIZE 1000
//interval between checks for signals, job timeouts,
// and scanner button presses (in ms)
#define SIG_CHECK_INT 500
//length of time jobs go unused before being closed (in ms)
#define JOB_TIMEOUT 10000
//length of time after the last device added/removed event
// to wait before re-building global button list (in ms)
#define RESCAN_TIMEOUT 2000

//comment this out to turn off debugging messages
#define DEBUG

#endif
